# ViewRisksRiskDistributionTable (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.risk

## Class ViewRisksRiskDistributionTable

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.risk.ViewRisks<AnalysisContextRisk>
  - - org.deidentifier.arx.gui.view.impl.risk.ViewRisksRiskDistributionTable

- All Implemented Interfaces:
    IView

      public class ViewRisksRiskDistributionTable
      extends ViewRisks<AnalysisContextRisk>

  This view displays basic risk estimates.

- - ### Field Summary

    - ### Fields inherited from class org.deidentifier.arx.gui.view.impl.risk.ViewRisks

      `controller, MINIMAL_WORKING_TIME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewRisksRiskDistributionTable(org.eclipse.swt.widgets.Composite parent, Controller controller, ModelEvent.ModelPart target, ModelEvent.ModelPart reset)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.swt.widgets.Control` | `createControl(org.eclipse.swt.widgets.Composite parent)` Implement this to create the widget.
    `protected AnalysisContextRisk` | `createViewConfig(AnalysisContext context)` Creates a view config
    `protected void` | `doReset()` Implement this to reset.
    `protected void` | `doUpdate(AnalysisContextRisk context)` Implement this to update.
    `protected ComponentStatusLabelProgressProvider` | `getProgressProvider()` May return a progress provider, if any
    `protected ModelRisk.ViewRiskType` | `getViewType()` Returns the according type of view
    `protected boolean` | `isRunning()` Is an analysis running
    `void` | `update(ModelEvent event)` Updates the view.

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.risk.ViewRisks

      `dispose, getBuilder, getBuilder, getBuilder, getModel, getQuasiIdentifiers, isEnabled, isInput, isValid, reset, setEnabled, setStatusDone, setStatusEmpty, setStatusWorking, triggerUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewRisksRiskDistributionTable

          public ViewRisksRiskDistributionTable(org.eclipse.swt.widgets.Composite parent,
                                        Controller controller,
                                        ModelEvent.ModelPart target,
                                        ModelEvent.ModelPart reset)

      Creates a new instance.
      Parameters:
        `parent` -
        `controller` -
        `target` -
        `reset` -

  - ### Method Detail

    - #### update

          public void update(ModelEvent event)

      Description copied from interface: `IView`
      Updates the view.
      Specified by:
        `update` in interface `IView`
      Overrides:
        `update` in class `ViewRisks<AnalysisContextRisk>`

    - #### createControl

          protected org.eclipse.swt.widgets.Control createControl(org.eclipse.swt.widgets.Composite parent)

      Description copied from class: `ViewRisks`
      Implement this to create the widget.
      Specified by:
        `createControl` in class `ViewRisks<AnalysisContextRisk>`
      Returns:

    - #### createViewConfig

          protected AnalysisContextRisk createViewConfig(AnalysisContext context)

      Description copied from class: `ViewRisks`
      Creates a view config
      Specified by:
        `createViewConfig` in class `ViewRisks<AnalysisContextRisk>`
      Returns:

    - #### doReset

          protected void doReset()

      Description copied from class: `ViewRisks`
      Implement this to reset.
      Specified by:
        `doReset` in class `ViewRisks<AnalysisContextRisk>`

    - #### doUpdate

          protected void doUpdate(AnalysisContextRisk context)

      Description copied from class: `ViewRisks`
      Implement this to update.
      Specified by:
        `doUpdate` in class `ViewRisks<AnalysisContextRisk>`

    - #### getProgressProvider

          protected ComponentStatusLabelProgressProvider getProgressProvider()

      Description copied from class: `ViewRisks`
      May return a progress provider, if any
      Specified by:
        `getProgressProvider` in class `ViewRisks<AnalysisContextRisk>`
      Returns:

    - #### getViewType

          protected ModelRisk.ViewRiskType getViewType()

      Description copied from class: `ViewRisks`
      Returns the according type of view
      Specified by:
        `getViewType` in class `ViewRisks<AnalysisContextRisk>`
      Returns:

    - #### isRunning

          protected boolean isRunning()

      Is an analysis running
      Specified by:
        `isRunning` in class `ViewRisks<AnalysisContextRisk>`
      Returns: